edu.sc.seis.sod.process.waveform

## Class ResultWrapper

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.ResultWrapper

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter
  Direct Known Subclasses:
    AlwaysSuccess, RetryAndContinue

      public abstract class ResultWrapper
      extends java.lang.Object
      implements WaveformProcess

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WaveformProcess` | `subprocess`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultWrapper(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Processes localSeismograms, possibly modifying them.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subprocess

          protected WaveformProcess subprocess

  - ### Constructor Detail

    - #### ResultWrapper

          public ResultWrapper(org.w3c.dom.Element config)
                        throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public abstract WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                edu.iris.Fissures.network.ChannelImpl channel,
                                                edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                                edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                                edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                                CookieJar cookieJar)
                                         throws java.lang.Exception

      Description copied from interface: `WaveformProcess`
      Processes localSeismograms, possibly modifying them.
      Specified by:
        `accept` in interface `WaveformProcess`
      Throws:
        `java.lang.Exception`